package com.ruoyi.project.ehs.service;

import java.util.List;
import com.ruoyi.project.ehs.domain.TMsds;

/**
 * MSDS管理Service接口
 * 
 * @author ruoyi
 * @date 2020-12-09
 */
public interface ITMsdsService 
{
    /**
     * 查询MSDS管理
     * 
     * @param id MSDS管理ID
     * @return MSDS管理
     */
    public TMsds selectTMsdsById(Long id);

    /**
     * 查询MSDS管理列表
     * 
     * @param tMsds MSDS管理
     * @return MSDS管理集合
     */
    public List<TMsds> selectTMsdsList(TMsds tMsds);

    /**
     * 定时任务查询MSDS管理列表
     *
     * @param tMsds MSDS管理
     * @return MSDS管理集合
     */
    public List<TMsds> selectList(TMsds tMsds);

    /**
     * 新增MSDS管理
     * 
     * @param tMsds MSDS管理
     * @return 结果
     */
    public int insertTMsds(TMsds tMsds);

    /**
     * 修改MSDS管理
     * 
     * @param tMsds MSDS管理
     * @return 结果
     */
    public int updateTMsds(TMsds tMsds);

    /**
     * 批量删除MSDS管理
     * 
     * @param ids 需要删除的MSDS管理ID
     * @return 结果
     */
    public int deleteTMsdsByIds(Long[] ids);

    /**
     * 删除MSDS管理信息
     * 
     * @param id MSDS管理ID
     * @return 结果
     */
    public int deleteTMsdsById(Long id);
}
